Subject: Re: $HOME Directory Relocation
From: Benoit Rochefort <[email-masked]>
To: "Michael A Chase" <[email-masked]>
Cc: "Benoit Rochefort" <[email-masked]>, "Cygwin@Cygwin. Com" <[email-masked]>
Date: Tue, 5 Feb 2002 16:37:56 -0500 (EST)

Michael A Chase writes:
| ----- Original Message -----
| From: "Benoit Rochefort" <[email-masked]>
| To: "Laurence F. Wood" <[email-masked]>
| Cc: "Cygwin@Cygwin. Com" <[email-masked]>
| Sent: Tuesday, February 05, 2002 13:11
| Subject: Re: $HOME Directory Relocation
| 
| 
| > Since no login occurs, place it in your batch file calling bash, or in
| > /etc/profile like I do. Here is my /etc/profile that correct many such
| > environment variable problems I found over the time:
| 
| The problem with setting HOME to a fixed value in cygwin.bat or /etc/profile
| is that limits your cygwin installation to a single user.  That's why the
| default /etc/profile allows $HOME to be passed through from the user's
| Windows environment.

That's exactly why I keep one "general" shortcut to cygwin and many
"specific" special shortcuts for "special" users (that's almost for testing
purpose and to be able to "emulate" another user uses that I have control
over; many of them have SAMBA mounted file system homes and by configuring
SAMBA correctly, I may read/write in there with correct permissions/uid/gid).

You can also change the line that sets HOME in my /etc/profile to the
following to get more flexibility:

: ${HOME=:"/home/$USER"}

| 
| --
| Mac :})
| ** I normally forward private questions to the appropriate mail list. **
| Ask Smarter: http://www.tuxedo.org/~esr/faqs/smart-questions.htm
| Give a hobbit a fish and he eats fish for a day.
| Give a hobbit a ring and he eats fish for an age.
| 
| 
| 
| --
| Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
| Bug reporting:         http://cygwin.com/bugs.html
| Documentation:         http://cygwin.com/docs.html
| FAQ:                   http://cygwin.com/faq/
| 
| 

-- 
           *º¤., ¸¸,.¤º*¨¨¨*¤  Benoit Rochefort  *º¤., ¸¸,.¤º*¨¨¨*¤

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/